From ddf40d625a7bd8771e7009d22f4b2ab1d8458589 Mon Sep 17 00:00:00 2001
From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Date: Wed, 24 Jul 2013 09:37:10 +0300
Subject: [PATCH 1/3] add patch

---
 debian/patches/bug-717036.patch | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)
 create mode 100644 debian/patches/bug-717036.patch

diff --git a/debian/patches/bug-717036.patch b/debian/patches/bug-717036.patch
new file mode 100644
index 0000000..977a53d
--- /dev/null
+++ b/debian/patches/bug-717036.patch
@@ -0,0 +1,38 @@
+--- a/kernel.c
++++ b/kernel.c
+@@ -218,21 +218,29 @@
+ 
+ 	strncpy(buf, kt->utsname.release, MIN(strlen(kt->utsname.release), 65));
+ 	if (ascii_string(kt->utsname.release)) {
++		char separator;
++
+ 		p1 = p2 = buf;
+ 		while (*p2 != '.')
+ 			p2++;
+ 		*p2 = NULLCHAR;
+ 		kt->kernel_version[0] = atoi(p1);
+ 		p1 = ++p2;
+-		while (*p2 != '.')
++		while (*p2 != '.' && *p2 != '-' && *p2 != '\0')
+ 			p2++;
++		separator = *p2;
+ 		*p2 = NULLCHAR;
+ 		kt->kernel_version[1] = atoi(p1);
+-		p1 = ++p2;
+-		while ((*p2 >= '0') && (*p2 <= '9'))
+-			p2++;
+-		*p2 = NULLCHAR;
+-		kt->kernel_version[2] = atoi(p1);
++		*p2 = separator;
++		if (*p2 == '.') {
++			p1 = ++p2;
++			while ((*p2 >= '0') && (*p2 <= '9'))
++				p2++;
++			*p2 = NULLCHAR;
++			kt->kernel_version[2] = atoi(p1);
++		} else {
++			kt->kernel_version[2] = 0;
++		}
+ 
+ 		if (CRASHDEBUG(1))
+ 			fprintf(fp, "base kernel version: %d.%d.%d\n",
-- 
1.8.3.2

